Skip to content

Get a renewal request

GET
/v1/requests/{id}
curl --request GET \
--url https://api.nextpki.com/v1/requests/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Authorization: Bearer <token>'

Current state of one renewal. state_reason carries the failure detail when state is failed.

id
required
string format: uuid

Detail

Media typeapplication/json
object
id
string format: uuid
previous_cert_id
string format: uuid
nullable
new_cert_id
string format: uuid
nullable
via_connector_id
string format: uuid
nullable
state
string
Allowed values: pending_approval approved csr_generated submitted issued deployed failed cancelled
state_reason
string
nullable
attempts
integer
org_id
string format: uuid
nullable
scheduled_at
string format: date-time
created_at
string format: date-time
updated_at
string format: date-time
Example
{
"state": "pending_approval"
}

Missing, malformed, unknown or revoked token

Media typeapplication/json
object
error
string
Examplegenerated
{
"error": "example"
}

The token’s scopes do not cover this endpoint

Media typeapplication/json
object
error
string
Examplegenerated
{
"error": "example"
}

Not found, or not visible to this tenant

Media typeapplication/json
object
error
string
Examplegenerated
{
"error": "example"
}